NOUVELLE ADRESSE PERMANENTE DU DÉPÔT: https://mirrors.o2switch.fr/primtux/repo/debs
ATTENTION, MERCI DE NE PAS METTRE À JOUR PRIMTUX7 UBUNTU 20.04 VERS LA 22.04, LES HANDYMENUS NE SONT PAS ENCORE COMPATIBLES!
Merci de cliquer ici si vous souhaitez vous inscrire sur le forum.

Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
{Résolu} calculatice monoposte
#1
Bonjour,
Sur Primtux 4 Debian 9, en élève l'application Calculatice ne s'ouvre pas.En administrateur elle se lance.
C'est bien l'application monoposte depuis le menu principal dans Education.
J'ai deux postes avec Primtux 4 , elle se lance sur un mais pas sur l'autre Confused
Merci d'avance
Répondre
#2
As-tu essayé de lancer l'application depuis un terminal afin d'avoir les messages d'erreur ?
Répondre
#3
Je n'arrive pas à lancer un terminal depuis Super. Même dans l'explorateur>outils>ouvrir un terminal dans le dossier actuel (f4) rien ne se passe.
Répondre
#4
Oui, normal que tu ne puisses pas le faire en session élève. C'est protégé. J'avais oublié !
Répondre
#5
Tu as bien un répertoire clc-linux dans /home/02-super ?
Répondre
#6
Bonjour,
Non effectivement je n'ai pas ce dossier alors que je l'ai sur l'ordinateur où Calculatice démarre.
J'ai copié le dossier redémarré l'ordinateur mais ça ne fonctionne pas plus.
Répondre
#7
le fichier calcul@TICE est-il exécutable?
Répondre
#8
Il ne l'était pas, je viens de le rende éxécutable , ça ne change rien.
Depuis le compte administrateur calculatice se lance, est-ce qu'il n'y aurait pas un souci de droits quelque part?
Répondre
#9
Je viens de lancer l'application depuis un terminal en étant administrateur en allant dans le répertoire 02-super et en saisissant ./calcul@tice.
ça fonctionne. Ce qui je pense confirme un problème de droits depuis le compte super.
Répondre
#10
Tente un
Code :
chown -R 02-super:02-super /home/02-super/clc-linux
depuis la session admin
Répondre
#11
Bonjour,
ça ne fonctionne pas. :-{
Répondre
#12
On va rendre actif le terminal dans la session super par
Code :
sudo nano /etc/passwd
Vers la fin du fichier, tu modifies la ligne
Code :
02-super:x:1003:1003::/home/02-super:/bin/inactif
en
Code :
02-super:x:1003:1003::/home/02-super:/bin/bash
Puis, dans la session Super, tu lances clacul@tice depuis le terminal et tu nous postes ce que ça renvoie.
N'oublie pas ensuite de redésactiver le terminal dans la session en remettant la ligne à
Code :
02-super:x:1003:1003::/home/02-super:/bin/inactif
Répondre
#13
Comme ça ça va plus vite:
Activation du terminal:
Code :
sudo chsh -s /bin/bash 02-super
Désactivation:
Code :
sudo chsh -s /bin/inactif 02-super
Répondre
#14
Bonjour,
J'ai en effet fait la manipulation en #12. La session super ne s'ouvre plus. Je remettrai tout ça comme avant et je procéderai à la #13 jeudi à l'école.
Merci, bonne journée
Répondre
#15
Bonjour
Voilà ce que ça donne lorsque je lance depuis un terminal caluclatice en session super:
Code :
[== Undefined ==]
02-super@primtux4wehrli:~/Documents$ calc
calc_tickadj    calculatice.sh  calculs-maxi    calculs-super
02-super@primtux4wehrli:~/Documents$ calculatice.sh
./calcul@TICE: error while loading shared libraries: libnw.so: cannot open shared object file: No such file or directory
02-super@primtux4wehrli:~/Documents$

Merci d'avance
Répondre
#16
Est-ce que tu as bien le fichier libnw.so dans le dossier
/home.02-super/clc-linux/lib ?
Répondre
#17
@Steph
Je n'arrive pas à trouver à quel moment de l'installation des logiciels complémentaires se fait la copie du dossier clc-linux dans les home.
Répondre
#18
Le fichier libnw.so est bien dans le dossier lib
Répondre
#19
Mais il manque des dépendances là et en plus ce sont des i386, le clc-linux y est dès l'origine et ses dépendances aussi...

envoie ça:

Code :
sudo apt-get update && sudo apt-get install libnss3:i386, libxss1:i386, gtk2-engines-murrine:i386, libgconf-2-4:i386, libxtst6:i386, libcanberra-gtk-module:i386
Répondre
#20
@Steph,
peux-tu donc confirmer que Calcul@tice est dans la distribution de base et non dans les logiciels complémentaires comme indiqué dans le tableau des logiciels, pour que je corrige ce dernier ?
Répondre
#21
oui mais "non activé" (pas de raccourci avant installation des non-libres) car utilise flash.
Répondre
#22
Pour le flash, il nécessite impérativement le Flash d'Adobe, ou la version libre de flash suffit-elle ? Auquel cas Calcul@tice pourrait être activé dès le départ.
Répondre
#23
Je ne sais pas je n'ai pas essayé, mais il est fourni dans leur archive en fait.
Répondre
#24
OK ! Donc je laisse en logiciel complémentaire.
Répondre
#25
Voilà ce que ça donne:
Code :
[== Undefined ==]
administrateur@primtux4wehrli:~$ sudo apt-get update && sudo apt-get install libnss3:i386, libxss1:i386, gtk2-engines-murrine:i386, libgconf-2-4:i386, libxtst6:i386, libcanberra-gtk-module:i386
[sudo] Mot de passe de administrateur : 
Atteint:1 http://ppa.launchpad.net/jclic/master/ubuntu trusty InRelease
Réception de:2 http://depot.primtux.fr/repo/debs PrimTux-dev InRelease [3 272 B]
Réception de:3 http://www.geogebra.net/linux stable InRelease [8 864 B]        
Atteint:4 http://ppa.launchpad.net/webupd8team/java/ubuntu trusty InRelease    
Réception de:5 http://depot.primtux.fr/repo/debs PrimTux2-Stretch InRelease [1 861 B]
Réception de:6 http://depot.primtux.fr/repo/debs PrimTux2 InRelease [1 848 B]  
Ign:7 http://cdn-fastly.deb.debian.org/debian stretch InRelease
Réception de:8 http://cdn-fastly.deb.debian.org/debian stretch Release [118 kB]
Réception de:9 http://www.geogebra.net/linux stable/main i386 Packages [5 745 B]
Réception de:10 http://cdn-fastly.deb.debian.org/debian stretch Release.gpg [2 365 B]
Réception de:11 http://depot.primtux.fr/repo/debs PrimTux2-Stretch/main i386 Packages [18,4 kB]
Réception de:12 http://depot.primtux.fr/repo/debs PrimTux2/main i386 Packages [40,7 kB]
Réception de:13 http://cdn-fastly.deb.debian.org/debian stretch/main i386 Packages [7 066 kB]
Réception de:14 http://cdn-fastly.deb.debian.org/debian stretch/main Translation-en [5 385 kB]
Réception de:15 http://cdn-fastly.deb.debian.org/debian stretch/contrib i386 Packages [48,0 kB]
Réception de:16 http://cdn-fastly.deb.debian.org/debian stretch/non-free i386 Packages [69,4 kB]
Réception de:17 http://cdn-fastly.deb.debian.org/debian stretch/non-free Translation-en [80,3 kB]
12,8 Mo réceptionnés en 9s (1 371 ko/s)                                        
Lecture des listes de paquets... Fait
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet libnss3:i386,
E: Impossible de trouver le paquet libxss1:i386,
E: Impossible de trouver le paquet gtk2-engines-murrine:i386,
E: Impossible de trouver le paquet libgconf-2-4:i386,
E: Impossible de trouver le paquet libxtst6:i386,
administrateur@primtux4wehrli:~$
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)